From 37772a3b9f7b15b951ec419a581cc93c92662843 Mon Sep 17 00:00:00 2001
From: Piotr Gawron <piotr.gawron@uni.lu>
Date: Wed, 26 Oct 2022 11:17:40 +0200
Subject: [PATCH] typos in plugins.html

---
 .aspell-api-exceptions.pws                               | 7 ++++++-
 .aspell.en.pws                                           | 1 +
 .gitlab-ci.yml                                           | 2 +-
 test_spelling.sh                                         | 9 ++++++---
 .../mapviewer/web/PluginControllerIntegrationTest.java   | 4 ++--
 5 files changed, 16 insertions(+), 7 deletions(-)
 mode change 100644 => 100755 test_spelling.sh

diff --git a/.aspell-api-exceptions.pws b/.aspell-api-exceptions.pws
index 1181f134bb..3774ce750b 100644
--- a/.aspell-api-exceptions.pws
+++ b/.aspell-api-exceptions.pws
@@ -10,21 +10,26 @@ gui
 HMDB
 INTERPRO
 ISOFORM
+inputFormat
 inputType
+isDefault
+isPublic
 lastActive
 ldapAccountAvailable
 maxColor
 minColor
 MGD
 neutralColor
-OMIM
 objectId
+OMIM
+outputFormat
 PDB
 privilegeType
 REFSEQ
 requestResetPassword
 sbgn
 simpleColor
+taxonomyId
 termsOfUseConsent
 updatePreferences
 updatePrivileges
diff --git a/.aspell.en.pws b/.aspell.en.pws
index 79ed76c0f3..d9bbca3f35 100644
--- a/.aspell.en.pws
+++ b/.aspell.en.pws
@@ -258,6 +258,7 @@ MGED
 MicrosporidiaDB
 MimoDB
 minerva
+MINERVA’s
 MIPModDB
 mirEX
 miriam
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 656c7f847a..2d6c98f81d 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -596,4 +596,4 @@ changelog_spelling:
    script:
       - apt-get update
       - apt-get install -y aspell aspell-en
-      - sh test_spelling.sh
+      - ./test_spelling.sh
diff --git a/test_spelling.sh b/test_spelling.sh
old mode 100644
new mode 100755
index 1cea036c86..5ecbd2f27d
--- a/test_spelling.sh
+++ b/test_spelling.sh
@@ -1,5 +1,7 @@
 #!/bin/bash
-ls web/target/generated-docs/*.html CHANGELOG -c1 | while read filename
+result=0
+
+while read filename
 do
   html=''
   case $filename in  *.html)
@@ -11,7 +13,8 @@ do
     echo "[$filename] Unknown words:"
     echo
     cat $filename | aspell --lang=en $html --encoding=utf-8 --add-extra-dicts=./.aspell.en.pws --add-extra-dicts=./.aspell-api-exceptions.pws list |sort |uniq
-    exit 1
+    result=1
   fi
-done
+done <<< "$(ls web/target/generated-docs/*.html CHANGELOG -c1)"
 
+exit $result
diff --git a/web/src/test/java/lcsb/mapviewer/web/PluginControllerIntegrationTest.java b/web/src/test/java/lcsb/mapviewer/web/PluginControllerIntegrationTest.java
index b3dc9a3b37..1f5352d581 100644
--- a/web/src/test/java/lcsb/mapviewer/web/PluginControllerIntegrationTest.java
+++ b/web/src/test/java/lcsb/mapviewer/web/PluginControllerIntegrationTest.java
@@ -132,7 +132,7 @@ public class PluginControllerIntegrationTest extends ControllerIntegrationTest {
                     .description("version"),
                 parameterWithName("isDefault")
                     .optional()
-                    .description("should be opened automatically whem map is browsed"),
+                    .description("should be opened automatically when map is browsed"),
                 parameterWithName("isPublic")
                     .description("should the plugin be visible by all users"),
                 parameterWithName("url")
@@ -171,7 +171,7 @@ public class PluginControllerIntegrationTest extends ControllerIntegrationTest {
         .description("md5 checksum of the source file")
         .type("string"),
         fieldWithPath("isDefault")
-            .description("should be opened automatically whem map is browsed")
+            .description("should be opened automatically when map is browsed")
             .type("boolean"),
         fieldWithPath("isPublic")
             .description("should be visible on plugin list to all users")
-- 
GitLab